// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : msg_transfer_host.h
// Author        : xianfeng.du
// Created On    : 2022-12-21
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#ifndef __MSG_TRANSFER_HOST_H__
#define __MSG_TRANSFER_HOST_H__

#include "typedef.h"
#include "msg_transfer_layer.h"

#define RC_READY               1
#define RC_NG                  0

void msg_transfer_mem_alloc_host(void);
void msg_queue_ul_update_in(uint32_t inst_id, uint32_t que_id);
uint8_t* msg_queue_ul_get_buf(uint32_t inst_id, uint32_t que_id);
void msg_queue_ul_get_done(uint32_t inst_id, uint32_t que_id, uint32_t N);
uint8_t* msg_queue_dl_put_buf(uint32_t inst_id, uint32_t que_id);
void msg_queue_dl_put_done(uint32_t inst_id, uint32_t que_id, uint32_t N);
void msg_transfer_queue_setup(uint8_t inst_id, uint8_t que_id);
void msg_transfer_cfg(void);
void msg_transfer_recfg(void);
void msg_transfer_cfg_finished(void);
int msg_transfer_reset_recfg(void);

#endif

